Subject: [addr-select-dt] resuming the discussion

From: Arifumi Matsumoto <[email-masked]>
Date: Wed, 12 May 2010 17:58:08 +0900

Hi Design team members,

let me resume this mailing list, and start discussion towards next IETF.

At the IETF meeting in Anaheim, we got the following points.

- Aggressive mode and non-aggressive mode can move separately.
- XML based information distribution mechanism worth considering.
- Design Team needs more time to review the steps forward.
- 6man mailing list is next place to discuss after design team discussion.

So, in my understanding, after separating with aggressive mode way, we've reached consensus on that we need some mechanism to deliver something to end hosts.

Tony Hain gave me comments on mic telling that we should discuss WHAT we distribute.

So, maybe this is the next point we have to agree on.

Regarding the XML or DHCP, this is about HOW the information is distributed, so it may come after WHAT.

* The status of WHAT we distribute.

About this point, the utilization of RFC3484 policy table is proposed, as you know,
draft-fujisaki-dhc-addr-select-opt.

What else should we consider about this point.
Tony, can you elaborate on this point ?

* The status of HOW we distribute.

The following mechanisms are proposed/imagined.

- RA
- DHCP
- XML (HTTP ?)

I could not get what exactly "XML" means, but I guess it means SOAP/HTTP based configuration mechanism.

IMO, it is used to deliver additional further information to the end node, and not used for delivering basic IP configuration information. This is because, at least, the end node have to be able to reach the HTTP server to retrieve those information.
And, I think the address selection information is such a basic information that are used to reach off-link nodes.

Am I missing any other points to consider ?
Any comments are welcome.

-----
Just for reference.

http://www.ietf.org/proceedings/10mar/minutes/6man.txt

* Address Selection
     - Presenter : Arifumi Matsumoto
     - 4 drafts in progress
     - In solution space, investigating pros/cons of simultaneous connection approach.
     - Host tries all pairs of src/dst addresses in a short period.
          - Decreases timeouts.
          - Adds load to network.
     - Policy needed to prevent exposure of internal-use addresses.
     - Policy distribution via either normal or aggressive host/DHCP interaction
     - Aggressive stack leverages SHIM6 experience.
     Comment (Deng) - Most phones don't use DHCP, configuration comes via XML.
     Comment (Carpenter) - SHIM6 does not have much deployment experience.  Aggressive mode does reduce recovery time, but not as much as one would expect.
     Comment (Hain) - No reason to wait for the aggressive stack, more work is needed on it.  Is DHC the right place to follow-on?  Maybe XML is better.
     Comment (Haberman) - General working model is that DHC WG acts as reviewer/approver of DHCP work done in other WGs.  We should keep discussing this on the mailing list.
     Comment (Hain) - Design team needs one more pass of discussion on their list.
     Comemnt (Hinden) - Don't wait to move this discussion to the main list until the next meeting.

--
Arifumi Matsumoto
  Secure Communication Project
  NTT Information Sharing Platform Laboratories
  E-mail: [email-masked]